%{?nodejs_find_provides_and_requires}

%global packagename git-tails

# tests fail in mock
%global enable_tests 0

Name:		nodejs-git-tails
Version:	1.1.0
Release:	1%{?dist}
Summary:	Get git tail hashes from your repository in reverse chronological order

License:	MIT
URL:		https://github.com/stevemao/git-tails.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh

Patch0:		conventional-changelog-license.patch

BuildArch:	noarch
ExclusiveArch: %{ix86} x86_64 %{arm} noarch

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Get git tail hashes from your repository in reverse chronological order


%prep
%autosetup -n package -p1
# setup the tests
%setup -q -T -D -a 1 -n package


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Feb 21 2018 Jared Smith <jsmith@fedoraproject.org> - 1.1.0-1
- Initial packaging
